Bug 84641 - [maintainer-update] comms/gnokii: update to 0.6.8 and unbreak fetch.
Summary: [maintainer-update] comms/gnokii: update to 0.6.8 and unbreak fetch.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-07 14:00 UTC by Guido Falsi
Modified: 2005-08-28 14:35 UTC (History)
0 users

See Also:


Attachments
file.diff (667 bytes, patch)
2005-08-07 14:00 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2005-08-07 14:00:28 UTC
Easy upgrade to 0.6.8.

This upgrade also fixes fetch due to the distfile in the ftp site
being moved in another directory when getting obsolete.

Due to the fetch breakage I'd like to ask this to be approved for
being committed during the freeze, before 6.0.
Comment 1 Sam Lawrance freebsd_committer 2005-08-07 14:41:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

I'll handle this.
Comment 2 Guido Falsi freebsd_committer 2005-08-19 12:35:11 UTC
A bug regarding database suport was introduced in one of the last
updates.A revised patch wich supersedes the previous one follows.

diff -ruN gnokii.old/Makefile gnokii/Makefile
--- gnokii.old/Makefile	Tue Aug  2 19:03:53 2005
+++ gnokii/Makefile	Fri Aug 19 13:23:25 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gnokii
-PORTVERSION=	0.6.7
+PORTVERSION=	0.6.8
 PORTEPOCH=	1
 CATEGORIES=	comms
 MASTER_SITES=	http://www.gnokii.org/download/gnokii/ \
@@ -143,14 +143,13 @@
 
 post-build:
 .if defined(WITH_SMSD)
-	@cd ${WRKSRC}/smsd && ${GMAKE} all
-	@cd ${WRKSRC}/smsd && ${GMAKE} libfile.la LOCALBASE=${LOCALBASE}
 .if defined(WITH_MYSQL)
-	@cd ${WRKSRC}/smsd && ${GMAKE} libmysql.la LOCALBASE=${LOCALBASE}
+	@${REINPLACE_CMD} -e 's/^DB_LIBS := libfile.la$$/DB_LIBS = libfile.la libmysql.la/' ${WRKSRC}/smsd/Makefile
 .endif
 .if defined(WITH_PGSQL)
-	@cd ${WRKSRC}/smsd && ${GMAKE} libpq.la LOCALBASE=${LOCALBASE}
+	@${REINPLACE_CMD} -e 's/^DB_LIBS := libfile.la$$/DB_LIBS = libfile.la libpq.la/' -e 's/^DB_LIBS = libfile.la libmysql.la$$/DB_LIBS = libfile.la libpq.la libmysql.la' ${WRKSRC}/smsd/Makefile
 .endif
+	@cd ${WRKSRC}/smsd && ${GMAKE} all
 .endif
 	@${SED} -e 's|%%PREFIX%%|${PREFIX}|g' ${PKGDIR}/pkg-message > ${PKGMESSAGE}
 
diff -ruN gnokii.old/distinfo gnokii/distinfo
--- gnokii.old/distinfo	Tue Aug  2 19:03:53 2005
+++ gnokii/distinfo	Tue Aug  2 19:17:16 2005
@@ -1,2 +1,2 @@
-MD5 (gnokii-0.6.7.tar.bz2) = c80d68549c86f287f24c2bee0e929ded
-SIZE (gnokii-0.6.7.tar.bz2) = 1932632
+MD5 (gnokii-0.6.8.tar.bz2) = 8109a8c3eb8ac0ee3e6ef3314bd2ce82
+SIZE (gnokii-0.6.8.tar.bz2) = 1980384

-- 
Guido Falsi <mad@madpilot.net>
Comment 3 Sam Lawrance freebsd_committer 2005-08-28 14:34:58 UTC
State Changed
From-To: open->closed

Committed, thanks!  I apologise for taking so long to commit this.